function parametros



persistent postloadFlag;
if isempty(postloadFlag)
    postloadFlag = true;
else
    if postloadFlag
        postloadFlag = false;
        return
    end
end

settingsBlock = [bdroot '/Subsystem'];
[fs] = getSettings(settingsBlock,'fs');
[fc] = getSettings(settingsBlock,'fc');
[fp] = getSettings(settingsBlock,'fp');
[f_sinal] = getSettings(settingsBlock,'f_sinal');
[amp] = getSettings(settingsBlock,'amp');
[ordem] = getSettings(settingsBlock,'ordem');
[fh] = getSettings(settingsBlock,'fh');
[df] = getSettings(settingsBlock,'df');
[d_fase] = getSettings(settingsBlock,'d_fase');

p.df = df;
p.d_fase = d_fase;
p.fs = fs;
p.fp = fp;
p.fc = fc; 
p.f_sinal = f_sinal;
p.amp = amp;
p.ordem = ordem;
p.fh = fh;
 
%Assign variables to base workspace
 assignin('base', 'p', p);

 function varargout = getSettings(settingsBlock, varargin)

 varargout = cell(size(varargin));

 h = get_param(settingsBlock, 'handle');
 for n = 1:length(varargin)
     varargout{n} = evalin('base', get(h, varargin{n}));
 end
