function parametros_modulation_am

persistent postloadFlag;
if isempty(postloadFlag)
    postloadFlag = true;
else
    if postloadFlag
        postloadFlag = false;
        return
    end
end

settingsBlock = [bdroot '/Subsystem'];
[amp] = getSettings(settingsBlock,'amp');
[fp] = getSettings(settingsBlock,'fp');
[f_sinal] = getSettings(settingsBlock,'f_sinal');
[fc1] = getSettings(settingsBlock,'fc1');
[n1] = getSettings(settingsBlock,'n1');
[fc2] = getSettings(settingsBlock,'fc2');
[n2] = getSettings(settingsBlock,'n2');



p.fc1 = fc1;
p.fc2 = fc2;
p.n1 = n1;
p.n2 = n2;
p.fp = fp;
p.f_sinal = f_sinal;
p.amp = amp;
 
%Assign variables to base workspace
assignin('base', 'p', p);

 function varargout = getSettings(settingsBlock, varargin)

 varargout = cell(size(varargin));

 h = get_param(settingsBlock, 'handle');
 for n = 1:length(varargin)
     varargout{n} = evalin('base', get(h, varargin{n}));
 end